LINUX.ORG.RU

пакет нуждается в современной библиотеке

если подразумевается пакет в репозитории дестрибутива, то опакечивать эту библиотеку

annulen ★★★★★ ()
Ответ на: комментарий от Pro100User

Лично я так и делаю: lib32, lib64, и run.sh, подцепляющий эти нестандартные зависимости. Как вариант подниманию репозиторию - можно собрать эту либу в каком-нибудь старом дистрибутиве Linux (например Debian Wheezy или Ubuntu 12.04). Затем на странице загрузки предлагать этот DEB-пакет в дополнение к основному.

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 2 )
Ответ на: комментарий от Pro100User

Если ты сам распространяешь этот пакет, то делаешь как нравится. В этом случае нет большой разницы между пакетом, tar.xz с бинарниками или инсталлятором.

Можно статически слинковать библиотеку

annulen ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.